GNU bug report logs - #39079
SBCL CFFI from Guix unable to find dynamic libraries

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Evan Straw <evan.straw99@HIDDEN>; Done: Pierre Neidhardt <mail@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 39079 <at> debbugs.gnu.org and Evan Straw <evan.straw99@HIDDEN> Request was from Pierre Neidhardt <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 17 Jan 2020 15:50:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 10:50:00 2020
Received: from localhost ([127.0.0.1]:39966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isTsm-0007w1-OW
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 10:50:00 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:47795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1isTsk-0007vs-IH
 for 39079 <at> debbugs.gnu.org; Fri, 17 Jan 2020 10:49:59 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 5F3D31C0005;
 Fri, 17 Jan 2020 15:49:56 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Evan Straw <evan.straw99@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <87lfq7jlj0.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <87muapu3n4.fsf@HIDDEN> <874kwxxiwk.fsf@HIDDEN>
 <m11rs114o2.fsf@HIDDEN> <8736chw08g.fsf@HIDDEN>
 <87lfq7jlj0.fsf@HIDDEN>
Date: Fri, 17 Jan 2020 16:49:55 +0100
Message-ID: <87imla13rw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Glad it worked! Have fun! -- Pierre Neidhardt
 https://ambrevar.xyz/
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.197 listed in list.dnswl.org]
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
Cc: Konrad Hinsen <konrad.hinsen@HIDDEN>, 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Glad it worked! Have fun! -- Pierre Neidhardt https://ambrevar.xyz/
    
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.197 listed in list.dnswl.org]
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.2 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Glad it worked!

Have fun!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4h16MACgkQm9z0l6S7
zH94XAf+KJgWQelwgbcjsatceYaEBG8qF0XTyMQSMHQl0cgmwo/VkhYNd9nELnhe
hPKNBvcrz147zO1+iWep9QOznwj3grEHJd7vSYM3VwnIaJFhWTSXkcxfKuID6MQy
oQ5+fBOkDjVyBHbOC2BQDogIut0SbqRCdobnhacG9qZfUqDSyutdn6iOEKfNGgpR
c1Di3SNrvvqomTuCzC48vRTJviMBIucrJK15hPbxc1Zs09Duu2shuFJAOPn3FdqH
3E+XSHYuu/CZmey1LLPvX8Yoe5WzTNKZ2J9wYxlr6Q3QCwWJxZ+0hyYHEetbwEVi
3S1jHPCNxtpoVXgVGt5xVLJyr69dnA==
=DjdH
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 16 Jan 2020 18:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 13:37:03 2020
Received: from localhost ([127.0.0.1]:38333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isA0t-0004YJ-BL
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 13:37:03 -0500
Received: from mail-pg1-f179.google.com ([209.85.215.179]:45887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evan.straw99@HIDDEN>) id 1isA0q-0004Xn-6r
 for 39079 <at> debbugs.gnu.org; Thu, 16 Jan 2020 13:37:02 -0500
Received: by mail-pg1-f179.google.com with SMTP id b9so10304139pgk.12
 for <39079 <at> debbugs.gnu.org>; Thu, 16 Jan 2020 10:37:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=/Awp5XrdSt4WVsnLgBxNYpabBR28NH9wnJRFg80m9I4=;
 b=kJffwbB6YrOmGUeSxfkLW6OIg/7nN6+ikLu7RZMdJp0XuDfJMI7kmKsv2seZBor/US
 y+8wpsXDjnqowPfI35jQinrbpvSNmnfuj7O1CtE4aq99TP1kKJ+GBxI6YlZJNr+8KFwD
 N457o7DET0/9NIZwawEYKigjYz8PHTX31l1nE3X8L1+3rxIa/xPQQaK5n8z8qUZ0vzcI
 3WsBD07LB1nF7Em3im4NCT/ngIKdfE7uvOMFpM4EpVI00fHOMheucJicwCKe8NxIOZ7+
 6Mx46YlQCw2Ri7sCzJnBiITWWPhBMiMjDPQkaFtbN4l++Wu53u8v9sNwu/xWJlnd7Tvl
 B/yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=/Awp5XrdSt4WVsnLgBxNYpabBR28NH9wnJRFg80m9I4=;
 b=OcU+LFT6OZkqctOjZZC5CMWkyXmRUoDE/VirJpkWpZj0iOvYXosYZsPdSQWYFLg4xH
 njnr0hKlhnKJMKinOnXfNxzwBtJDQXUGSTk2NbwZ95/lnfAxkZ55yPa0aoF219jT60Sf
 AaOXEY36W6KNpZtKHQyLZqvlkNCCCGVCwwfeRh16rk5t5P3pkkx6KJWgXveDVX+kzg/f
 YQYosF/XY4zxFbiUXOzZwqzIaTXkH63ASqF3AyA3mvH9KIFFtizi4jMzZTqKVgnjY4TA
 aYFrvZMgSMKjkCyb7RxapfWxjNqEzcCw+VM9bn9IYd+SmhBw5Xcq5L8neNFEE4fKPAZQ
 Zakw==
X-Gm-Message-State: APjAAAVNMHsMN6SFdwo+1okmA9E/ldB7C6xP1IEaOfZeqGrlRPDlXnaK
 HCMjPtXfxOWDw+rG9M5r+IOcqVFpzv0=
X-Google-Smtp-Source: APXvYqy9t1b/TbMNmDQARIvtx95odd2ba2tk6KjMmBHZnUbNxezJIzzcHxaEQ/WyGqJ3/VntswUDYg==
X-Received: by 2002:a63:1b0a:: with SMTP id b10mr40474517pgb.56.1579199813664; 
 Thu, 16 Jan 2020 10:36:53 -0800 (PST)
Received: from virtualplaza ([205.175.97.42])
 by smtp.gmail.com with ESMTPSA id v4sm26204323pfn.181.2020.01.16.10.36.52
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 16 Jan 2020 10:36:52 -0800 (PST)
From: Evan Straw <evan.straw99@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <87muapu3n4.fsf@HIDDEN> <874kwxxiwk.fsf@HIDDEN>
 <m11rs114o2.fsf@HIDDEN> <8736chw08g.fsf@HIDDEN>
Date: Thu, 16 Jan 2020 10:36:51 -0800
In-Reply-To: <8736chw08g.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Wed, 15 Jan 2020 10:13:51 +0100")
Message-ID: <87lfq7jlj0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Pierre Neidhardt writes: > Konrad Hinsen writes: > >> Guix'
 ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction >> is that
 this won't change anything. > > Maybe ldd (I don't know), but I suggest to
 run SBCL her [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (evan.straw99[at]gmail.com)
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (evan.straw99[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.8 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: fastmail.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.179 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.179 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 39079
Cc: Konrad Hinsen <konrad.hinsen@HIDDEN>, 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pierre Neidhardt writes: > Konrad Hinsen writes: > >> Guix'
    ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction >> is that
    this won't change anything. > > Maybe ldd (I don't know), but I suggest to
    run SBCL her [...] 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.179 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.179 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (evan.straw99[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (evan.straw99[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.8 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

Pierre Neidhardt <mail@HIDDEN> writes:

> Konrad Hinsen <konrad.hinsen@HIDDEN> writes:
>
>> Guix' ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction
>> is that this won't change anything.
>
> Maybe ldd (I don't know), but I suggest to run SBCL here.  It should
> work.

Sorry for the late update, but this actually does work! Setting
LD_LIBRARY_PATH to include all the relevant library directories
(/usr/lib/x86_64-linux-gnu, /lib/x86_64-linux-gnu) makes CFFI load the
library perfectly with no issues, and further steps in the CFFI tutorial
work fine too. It was not set by default on my system so I'll add
something to my .profile or related to set that on login.

Thanks to everybody for their help with this!
-- Evan

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE6f/SZXb4DLdwy+VR9TDDtKKp8G0FAl4grUMACgkQ9TDDtKKp
8G1zXRAAoe9pvM8oNVkZzqiHD3T6aQlC6cjx7F5SN7qeRRDuRSfy/IVY3BPXMYVe
pWRyMz/skjQvtSRuvQGhnjs3Q6qPa/46qsZVXhisgaQLFJDzugQ+ks70wbbvfevz
0xF3QMWDh9cZvWh9mtCeaYeqgnOoEPGIiPI4EzqrlhX/8EA5/YFwOGJwGwdwZGz8
kvBFW/c7+N3+dNDcKy9d0tTszYTjhfXvucxcJeboAJL2Kw+DoqnoGdxIaDkUXsdu
9kTM+t474F60N3ecvjXzWqedyHZaZHD4eP6IFBb+pX1WV9CeiVOBeXFICjH5i+RJ
1sVQ7UVADb4lw67rLX+mXzhZKCK0ORTZ8h1vfRYvHOihLwZvdhASiDTgxP7RvvO2
YjpbfKW3FknWNAHsyQlrz2aBS8Hk4lnG6jPlUo68hdIxAs/9/t77fiBV36GjdBot
//g9RCgaxpr/yn8l3o7gTj+y9sOAg+dYCHQDtOA39dzKea0BuKMQ7J9zLg8g8n3G
+WOIcttCYBGxMXKVEUK1+ShUue742ksakrJCYQOnPft98Dk3MB1RbJUuIuRiAQZx
BfVI6ON5YN7RK1Zmfhy0SAPlmKLg+9O9NmwA/tx+OUMFSwsZ3WsjW/R/Xeuaq0N2
08SOcS7oJEsCaYZ7zTLc/L52QtoFwEDysNrzn6Fq39+vcrpUgro=
=Phqr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 15 Jan 2020 09:13:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 04:13:57 2020
Received: from localhost ([127.0.0.1]:34269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irekP-0005Bt-JE
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 04:13:57 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:49841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1irekL-0005Bh-P1
 for 39079 <at> debbugs.gnu.org; Wed, 15 Jan 2020 04:13:56 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 02CF0FF804;
 Wed, 15 Jan 2020 09:13:51 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Konrad Hinsen <konrad.hinsen@HIDDEN>,
 Evan Straw <evan.straw99@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <m11rs114o2.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <87muapu3n4.fsf@HIDDEN> <874kwxxiwk.fsf@HIDDEN>
 <m11rs114o2.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 10:13:51 +0100
Message-ID: <8736chw08g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Konrad Hinsen <konrad.hinsen@HIDDEN> writes: > Guix'
 ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction > is that
 this won't change anything. Maybe ldd (I don't know), but I suggest to run
 SBCL here. It should work. 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.199 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Konrad Hinsen <konrad.hinsen@HIDDEN> writes: > Guix'
    ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction > is that
    this won't change anything. Maybe ldd (I don't know), but I suggest to run
    SBCL here. It should work. 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: fastmail.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.199 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Konrad Hinsen <konrad.hinsen@HIDDEN> writes:

> Guix' ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction
> is that this won't change anything.

Maybe ldd (I don't know), but I suggest to run SBCL here.  It should
work.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4e188ACgkQm9z0l6S7
zH80PQgAkDsww+T4+hqpzS+s2GVNIsBdSQXwbXCR45QIFlfJdgbN2wV+z+RqFe9f
coyiuJbtEEtDTcJoEGg+vOo4gNx+LOLRQmtIkowk5Onxfg7PqUO3fZ0R1ltv812N
6eVHKVGA/9fvbdF14ttNijM40UV7ceL2VBZscK0hfDXUG5LZcVEYBc2+JYFMX1YB
Ju0YG4a/zK4CMWAlQQVU/gkd/in97FAtvqyonb/vqhsm/2EVpavrTPDAmED6YYB5
5X6H5QhoHgpCZctBqFG5IpENwEi3CJUpYt5nqUpPXw6of0gV1+PXZMtaDlpo0T+Y
gKZ8s2ij865Ro2+VewRCeznbTWFHKA==
=eOpR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 15 Jan 2020 08:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 03:54:07 2020
Received: from localhost ([127.0.0.1]:34254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ireR9-0004gO-KK
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 03:54:07 -0500
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:47559)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <konrad.hinsen@HIDDEN>) id 1ireR4-0004fr-Op
 for 39079 <at> debbugs.gnu.org; Wed, 15 Jan 2020 03:54:03 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 8EB1659B;
 Wed, 15 Jan 2020 03:53:52 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Wed, 15 Jan 2020 03:53:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.net; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=etg/YAR3K97JUxwmEn2BF8U9/e
 1sadxDfKLYwLYG0p8=; b=lsRz3nCzMFaNih5SCbKlZbMLzr48eKuxnUQ5cj8tFY
 j8G2YXhkULvBSSTh6c88P+aoaT1GgBB9fDDvhjJgR+7ZBxF2d91d3JhUPm+BfMmU
 npcyNiXH3ItLSFF6fmiUCUvtpFoMV5zwAy9IBQRPYeUE14GqVQGf3oYMgkE60EPo
 LMmN2vTWWjM+BGqrN9Yr0qwm3Gbndo3Yxhakh7KhGl1WcCu1ClOjoKCBTQ+BeRoF
 ZPGooFjltgqykuk+xsRMHgwNENpcdFN6lMvEeQhbC1vHX2S14gMZmclovEZx22qp
 /qwZ8Dn6sa1EIFPNJlrUJreFg1ovJX24hINITDiDqh5A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=etg/YA
 R3K97JUxwmEn2BF8U9/e1sadxDfKLYwLYG0p8=; b=GacIqkpRTEV7a0d7bMQKCV
 8rX8E0tUF8F0fJI7R66yFlZSrn7P1WAw/D9oDtXu9aO11ynNOGTAdVsZ8reDH6UI
 Ha8278Ypw5byaFtVHUKNER1oilWKcvOWtFF8qjiEaWvHC8R7kH3t0A7Dvm7psRiG
 p91jiG+P2McGeLw0GtfeZkhZzaqx3dxLU91gtJ3xdQMEqZFMQUtXp5wGWR+QYcC4
 8r3TAYcTTCtY1ZHcXmstHZeXGuWRUiZYA5GO6neqY4c+Y9bZKRQBjLnXDKhFM40m
 staLmPWZIog+Mzne2P0B06Vu7UUNLY2/0aW2u7pO4NrORijiC4Li8MCv6YV0TDqw
 ==
X-ME-Sender: <xms:H9MeXmoktWXWNh-oXJNYSJVq5O2Ry-7bhSBJAPMOrpCoWNzw8kijkg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrtddvgdduvdegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 gfrhhlucfvnfffucdlfeehmdenucfjughrpefhvffujghffffkgggtsehttdertddttddt
 necuhfhrohhmpefmohhnrhgrugcujfhinhhsvghnuceokhhonhhrrggurdhhihhnshgvnh
 esfhgrshhtmhgrihhlrdhnvghtqeenucfkphepudelhedrvddvuddrtddrvddtieenucfr
 rghrrghmpehmrghilhhfrhhomhepkhhonhhrrggurdhhihhnshgvnhesfhgrshhtmhgrih
 hlrdhnvghtnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:H9MeXo6ytCtBT3Cu3_3qWsHAiB1XNkQj6ixdz9QY4BjpH8ZnwGjeQA>
 <xmx:H9MeXmOH7nQtvvNGFv8i5IVf-SQscyEG3Sf-ZmW1eldHlSKRXGNZTA>
 <xmx:H9MeXqOgdc8dGUxf84Kzs09bq6ZgazkyoL6zZA3H6AuZQwGAY4qsMw>
 <xmx:INMeXn4izc4Ck0HIfsHLdvOGIwIxHYrQ0XRuUvp7P7QlyQt7EaQ-6g>
Received: from KHs-MacBook.local (soleil-ext.synchrotron.fr [195.221.0.206])
 by mail.messagingengine.com (Postfix) with ESMTPA id 47C2B30600A8;
 Wed, 15 Jan 2020 03:53:51 -0500 (EST)
From: Konrad Hinsen <konrad.hinsen@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>, Evan Straw <evan.straw99@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <874kwxxiwk.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <87muapu3n4.fsf@HIDDEN> <874kwxxiwk.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 09:53:49 +0100
Message-ID: <m11rs114o2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Pierre Neidhardt writes: > Which "ldd" did you use? Ubuntu's
 or Guix'? > Where did you run it? Good suggestion. My expectation is that
 Evan used Ubuntu's ldd, and that using Guix' will show different results.
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (konrad.hinsen[at]fastmail.net)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [64.147.123.21 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Pierre Neidhardt <mail@HIDDEN> writes:

> Which "ldd" did you use?  Ubuntu's or Guix'?
> Where did you run it?

Good suggestion. My expectation is that Evan used Ubuntu's ldd, and that
using Guix' will show different results.

> Try exporting LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu in the
> environment in which you run SBCL. 

Guix' ldd has been patched to ignore LD_LIBRARY_PATH, so my prediction
is that this won't change anything.

Cheers,
  Konrad.




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 15 Jan 2020 07:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 15 02:45:28 2020
Received: from localhost ([127.0.0.1]:34218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irdMi-0007QF-IR
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 02:45:28 -0500
Received: from relay11.mail.gandi.net ([217.70.178.231]:59673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1irdMd-0007Pv-AD
 for 39079 <at> debbugs.gnu.org; Wed, 15 Jan 2020 02:45:23 -0500
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 2377910000B;
 Wed, 15 Jan 2020 07:45:16 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Evan Straw <evan.straw99@HIDDEN>,
 Konrad Hinsen <konrad.hinsen@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <87muapu3n4.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <87muapu3n4.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 08:45:15 +0100
Message-ID: <874kwxxiwk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Evan Straw <evan.straw99@HIDDEN> writes: > This library
 depends on > the following other libraries,
 as reported by `ldd > /usr/lib/x86_64-linux-gnu/libcurl.so.4`:
 > > --8<cut herestart>8--- > linux- [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.178.231 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Evan Straw <evan.straw99@HIDDEN> writes: > This library
    depends on > the following other libraries, as reported by `ldd > /usr/lib/x86_64-linux-gnu/libcurl.so.4`:
    > > --8<cut herestart>8--- > linux- [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.178.231 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Evan Straw <evan.straw99@HIDDEN> writes:

> This library depends on
> the following other libraries, as reported by `ldd
> /usr/lib/x86_64-linux-gnu/libcurl.so.4`:
>
> --8<---------------cut here---------------start------------->8---
> linux-vdso.so.1 (0x00007ffd5f393000)
> libnghttp2.so.14 =3D> /usr/lib/x86_64-linux-gnu/libnghttp2.so.14 (0x00007=
f941aae8000)
> libidn2.so.0 =3D> /usr/lib/x86_64-linux-gnu/libidn2.so.0 (0x00007f941aac8=
000)
...
> --8<---------------cut here---------------end--------------->8---

Which "ldd" did you use?  Ubuntu's or Guix'?
Where did you run it?

My only guess is what Konrad said: the libcurl library references its
dependencies with relative path (which ldd does _not_ display) and the
Guix loaded knows nothing about /usr/lib/x86_64-linux-gnu.

Try exporting LD_LIBRARY_PATH=3D/usr/lib/x86_64-linux-gnu in the
environment in which you run SBCL.=20

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4ewwsACgkQm9z0l6S7
zH88Ugf6AmlZt9Ztta4dKD0D/y8CiehASsDv9KqKCSu9oi7KX/jf04pPZaGpAsSZ
3rOb9XDhnTdLSCuRuxtj1CM0D20hiQKgt01mmQj4pM1rGbRO0LE0UmUx2nxdynif
HaIL0knnfLCTFWE7r4PgnPDJaPCTr1hxZfnUVoRGWFlit+Gz58vH6PwttM2Fdtv+
viseyOPfmQjMbEZbWx/Y3aMCYUKxkgJG5jOrQZAIJh9zhwg7FOpl6GNg9Q1oP1d5
mY/Cb+I5fknq4Ra/1xox3delxkDb3L2/zpexhCKDvI1yPBw1848kmZ5xBywumFZP
tf4RLNdC4Qe6Ml6CB2vaoYvcB7MUqw==
=oc8k
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 14 Jan 2020 21:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 16:31:15 2020
Received: from localhost ([127.0.0.1]:33740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irTmH-0008B5-LO
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 16:31:15 -0500
Received: from mail-pg1-f195.google.com ([209.85.215.195]:37746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evan.straw99@HIDDEN>) id 1irTmC-00081b-0t
 for 39079 <at> debbugs.gnu.org; Tue, 14 Jan 2020 16:31:08 -0500
Received: by mail-pg1-f195.google.com with SMTP id q127so6997021pga.4
 for <39079 <at> debbugs.gnu.org>; Tue, 14 Jan 2020 13:31:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:message-id:user-agent
 :mime-version; bh=3wACBb2OPxOzq7ZWsykgMx7mqhFGimuunPNBRCieJJI=;
 b=YS364dsN4Zk6+cM+9hz3qZFFe7vClWYiqYxo8CjHrQZa4GZ+6rj/utGK2giDYqYi+j
 W5gk1OkJLzH44RbE3GAx8av94HUdRE5KBLh5bR7okkuV50IfNNygLxbH9gdKZ3mjvLhJ
 NMbtDHrE7Xw4X58Vrh3mayS9+KyVnc07gjra/kH5ITBlz9q5f9ARtV3RwDuI4kDheYlp
 Va8CNbbJTYlhMAyKSOggvCoXq9QdWrGrXjYrfUarXq7lJkfIInQaSKIxN4G83GDfoUTu
 QiiPLBb3gTVekkB0wxvXZV3FA1R9QMNUriVm7rYe6jO9SrXTIxL6MIKOvDYVxLrTqFml
 /2dw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:message-id
 :user-agent:mime-version;
 bh=3wACBb2OPxOzq7ZWsykgMx7mqhFGimuunPNBRCieJJI=;
 b=QPR9GYe96VCInf6zzQzUhsx3/z/v5hmu0KTeZgdqqzUgekqeF1JSyz975t4IvKdo36
 Xit5bcw72TywZSbxogy1v9FkAeecSsGYaI3sjah136Z+v2J/4KCc8o9jr2viJbhd4YgL
 R4Di5jml0fxCmez4AuuyJnJApyOcep8BydAi7xGAv6O/tS2U5WJ94GjzDU8v31QiEbzn
 DFCQ/sYBvdNArvUQpjQf8GA30Hlr5R8Wd43cB6hdIT6ltVBLcb8+1Emu8hezJcYIWN8T
 RmyeTvWOxTbH68De5kRkeD+IFXcpClgXDBt/dJgPihjMV9s8UVZX2fynJ4zA7EB9IfOd
 cSsQ==
X-Gm-Message-State: APjAAAXnEHV+zp9fLkY7d/Pmnk8/sTcSTfOdlSeUbD1C5hKXGfckl5ot
 PQqiTqOzfp0i5LawxM/xyafdDzPbk1M=
X-Google-Smtp-Source: APXvYqxbqmxAX2olXTXtkDxJxm7gxWureMHGrbOZHhD8RXPgxKzG3vmLakR73xui0Wq8gQXksAMWLA==
X-Received: by 2002:a65:5cc2:: with SMTP id b2mr28976340pgt.51.1579037457347; 
 Tue, 14 Jan 2020 13:30:57 -0800 (PST)
Received: from virtualplaza ([205.175.97.42])
 by smtp.gmail.com with ESMTPSA id c14sm19025125pfn.8.2020.01.14.13.30.56
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 14 Jan 2020 13:30:56 -0800 (PST)
From: Evan Straw <evan.straw99@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>,
 Konrad Hinsen <konrad.hinsen@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
Date: Tue, 14 Jan 2020 13:30:55 -0800
Message-ID: <87muapu3n4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pierre Neidhardt writes: > What are "dependencies" here? >
 Can you provide a full recipe of what you are trying to do, including > your
 .sbclrc and the Lisp code snippets you've run to test this? Absolutely.
 Apologies for the wall of text that is about to follow: 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (evan.straw99[at]gmail.com)
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (evan.straw99[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.195 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.195 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Pierre Neidhardt writes: > What are "dependencies" here? >
    Can you provide a full recipe of what you are trying to do, including > your
    .sbclrc and the Lisp code snippets you've run to test this? Absolutely. Apologies
    for the wall of text that is about to follow: 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.195 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.195 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.9 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (evan.straw99[at]gmail.com)
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (evan.straw99[at]gmail.com)
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Pierre Neidhardt <mail@HIDDEN> writes:

> What are "dependencies" here?
> Can you provide a full recipe of what you are trying to do, including
> your .sbclrc and the Lisp code snippets you've run to test this?

Absolutely. Apologies for the wall of text that is about to follow:

My system is Ubuntu 19.04, with Guix 09bad3c, as shown by `guix describe:`

=2D-8<---------------cut here---------------start------------->8---
guix 09bad3c
  repository URL: https://git.savannah.gnu.org/git/guix.git
  branch: master
  commit: 09bad3cd42ca51974f3697f04ce841bf2fe6786c
=2D-8<---------------cut here---------------end--------------->8---

I am using SBCL 2.0.0 and sbcl-cffi 0.19.0, both from Guix. My .sbclrc
file is as follows:

=2D-8<---------------cut here---------------start------------->8---
;;; The following lines added by ql:add-to-init-file:
#-quicklisp
(let ((quicklisp-init (merge-pathnames "quicklisp/setup.lisp"
                                       (user-homedir-pathname))))
  (when (probe-file quicklisp-init)
    (load quicklisp-init)))

(when (ignore-errors (asdf:load-system "cffi"))
  ;; Warning: Trailing "/" matters!
  (dolist (guix-profile
           `(,(when (uiop:directory-exists-p "~/.guix-profile")
                (format nil "~a/.guix-profile/lib/" (uiop:getenv "HOME")))
              ,@(mapcar (lambda (d)
                          (format nil "~a~a/lib/"
                                  (namestring d)
                                  (first (last (pathname-directory d)))))
                        (uiop:subdirectories "~/.guix-extra-profiles/"))
	      "/usr/lib/x86_64-linux-gnu/"))
    (push guix-profile
          (symbol-value (find-symbol (string '*foreign-library-directories*)
                                     (find-package 'cffi))))))
=2D-8<---------------cut here---------------end--------------->8---

I am attempting to load "/usr/lib/x86_64-linux-gnu/libcurl.so.4" since
the tutorial for CFFI starts by loading libcurl. This library depends on
the following other libraries, as reported by `ldd
/usr/lib/x86_64-linux-gnu/libcurl.so.4`:

=2D-8<---------------cut here---------------start------------->8---
linux-vdso.so.1 (0x00007ffd5f393000)
libnghttp2.so.14 =3D> /usr/lib/x86_64-linux-gnu/libnghttp2.so.14 (0x00007f9=
41aae8000)
libidn2.so.0 =3D> /usr/lib/x86_64-linux-gnu/libidn2.so.0 (0x00007f941aac800=
0)
librtmp.so.1 =3D> /usr/lib/x86_64-linux-gnu/librtmp.so.1 (0x00007f941a8a800=
0)
libssh.so.4 =3D> /usr/lib/x86_64-linux-gnu/libssh.so.4 (0x00007f941a828000)
libpsl.so.5 =3D> /usr/lib/x86_64-linux-gnu/libpsl.so.5 (0x00007f941a810000)
libssl.so.1.1 =3D> /usr/lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007f941a780=
000)
libcrypto.so.1.1 =3D> /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007f9=
41a4b0000)
libgssapi_krb5.so.2 =3D> /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x0=
0007f941a460000)
libldap_r-2.4.so.2 =3D> /usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x000=
07f941a408000)
liblber-2.4.so.2 =3D> /usr/lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007f9=
41a3f0000)
libz.so.1 =3D> /lib/x86_64-linux-gnu/libz.so.1 (0x00007f941a3d0000)
libpthread.so.0 =3D> /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f941a3a8=
000)
libc.so.6 =3D> /lib/x86_64-linux-gnu/libc.so.6 (0x00007f941a1b8000)
libunistring.so.2 =3D> /home/evan/.guix-profile/lib/libunistring.so.2 (0x00=
007f941a030000)
libgnutls.so.30 =3D> /usr/lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007f941=
9e88000)
libhogweed.so.4 =3D> /usr/lib/x86_64-linux-gnu/libhogweed.so.4 (0x00007f941=
9e50000)
libnettle.so.6 =3D> /usr/lib/x86_64-linux-gnu/libnettle.so.6 (0x00007f9419e=
18000)
libgmp.so.10 =3D> /home/evan/.guix-profile/lib/libgmp.so.10 (0x00007f9419d8=
0000)
librt.so.1 =3D> /lib/x86_64-linux-gnu/librt.so.1 (0x00007f9419d70000)
/lib64/ld-linux-x86-64.so.2 (0x00007f941abd8000)
libdl.so.2 =3D> /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f9419d68000)
libkrb5.so.3 =3D> /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f9419c8800=
0)
libk5crypto.so.3 =3D> /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f9=
419c50000)
libcom_err.so.2 =3D> /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f9419c48=
000)
libkrb5support.so.0 =3D> /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x0=
0007f9419c38000)
libresolv.so.2 =3D> /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f9419c1800=
0)
libsasl2.so.2 =3D> /usr/lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007f9419bf8=
000)
libgssapi.so.3 =3D> /usr/lib/x86_64-linux-gnu/libgssapi.so.3 (0x00007f9419b=
b0000)
libgcc_s.so.1 =3D> /gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-li=
b/lib/libgcc_s.so.1 (0x00007f9419b90000)
libp11-kit.so.0 =3D> /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007f941=
9a60000)
libtasn1.so.6 =3D> /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007f9419848=
000)
libkeyutils.so.1 =3D> /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f94198=
40000)
libheimntlm.so.0 =3D> /usr/lib/x86_64-linux-gnu/libheimntlm.so.0 (0x00007f9=
419830000)
libkrb5.so.26 =3D> /usr/lib/x86_64-linux-gnu/libkrb5.so.26 (0x00007f94197a0=
000)
libasn1.so.8 =3D> /usr/lib/x86_64-linux-gnu/libasn1.so.8 (0x00007f94196f800=
0)
libhcrypto.so.4 =3D> /usr/lib/x86_64-linux-gnu/libhcrypto.so.4 (0x00007f941=
96c0000)
libroken.so.18 =3D> /usr/lib/x86_64-linux-gnu/libroken.so.18 (0x00007f94196=
a0000)
libffi.so.6 =3D> /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f9419690000)
libwind.so.0 =3D> /usr/lib/x86_64-linux-gnu/libwind.so.0 (0x00007f941966000=
0)
libheimbase.so.1 =3D> /usr/lib/x86_64-linux-gnu/libheimbase.so.1 (0x00007f9=
419648000)
libhx509.so.5 =3D> /usr/lib/x86_64-linux-gnu/libhx509.so.5 (0x00007f94195f8=
000)
libsqlite3.so.0 =3D> /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007f941=
94d8000)
libcrypt.so.1 =3D> /lib/x86_64-linux-gnu/libcrypt.so.1 (0x00007f9419498000)
libm.so.6 =3D> /lib/x86_64-linux-gnu/libm.so.6 (0x00007f9419348000)
=2D-8<---------------cut here---------------end--------------->8---

In order to load this library, I run the following Lisp code in the SBCL
REPL:

=2D-8<---------------cut here---------------start------------->8---
CL-USER> (asdf:load-system :cffi)
T

;;; *foreign-library-directories* has the right directories in it
CL-USER> cffi:*foreign-library-directories*
("/usr/lib/x86_64-linux-gnu/"
 "/home/evan/.guix-extra-profiles/emacs/emacs/lib/"
 "/home/evan/.guix-profile/lib/")
=20
CL-USER> (cffi:load-foreign-library "libcurl.so.4")
=2D-8<---------------cut here---------------end--------------->8---

The last expression fails with the following error, which states that it
failed while trying to load libnghttp2.so.14, listed above as one of the
dependencies for libcurl:

=2D-8<---------------cut here---------------start------------->8---
Unable to load foreign library (LIBCURL.SO.4-464).
  Error opening shared object "/usr/lib/x86_64-linux-gnu/libcurl.so.4.5.0":
  libnghttp2.so.14: cannot open shared object file: No such file or directo=
ry.
   [Condition of type CFFI:LOAD-FOREIGN-LIBRARY-ERROR]

Restarts:
 0: [RETRY] Try loading the foreign library again.
 1: [USE-VALUE] Use another library instead.
 2: [RETRY] Retry SLIME REPL evaluation request.
 3: [*ABORT] Return to SLIME's top level.
 4: [ABORT] abort thread (#<THREAD "repl-thread" RUNNING {10046C9BC3}>)

Backtrace:
  0: (CFFI::FL-ERROR "Unable to load foreign library (~A).~%  ~A" #:LIBCURL=
.SO.4-464 "Error opening shared object \"/usr/lib/x86_64-linux-gnu/libcurl.=
so.4.5.0\": ..)
  1: (CFFI::REPORT-SIMPLE-ERROR #:LIBCURL.SO.4-464 #<SIMPLE-ERROR "Error op=
ening ~:[runtime~;shared object ~:*~S~]: ..)
  2: (CFFI::LOAD-FOREIGN-LIBRARY-PATH #:LIBCURL.SO.4-464 "libcurl.so.4" NIL)
  3: ((FLET CFFI::%DO-LOAD :IN CFFI::%DO-LOAD-FOREIGN-LIBRARY) #<CFFI:FOREI=
GN-LIBRARY LIBCURL.SO.4-464> #:LIBCURL.SO.4-464 "libcurl.so.4")
  4: (CFFI::%DO-LOAD-FOREIGN-LIBRARY "libcurl.so.4" NIL)
  5: (CFFI:LOAD-FOREIGN-LIBRARY "libcurl.so.4" :SEARCH-PATH NIL)
  6: (SB-INT:SIMPLE-EVAL-IN-LEXENV (CFFI:LOAD-FOREIGN-LIBRARY "libcurl.so.4=
") #<NULL-LEXENV>)
  7: (EVAL (CFFI:LOAD-FOREIGN-LIBRARY "libcurl.so.4"))
=2D-8<---------------cut here---------------end--------------->8---



>> Ideally, I would just install the libraries I need from Guix, but I
>> specifically want to interface with a library from the system, in this
>> case PulseAudio (I've just been using libcurl as a test to make sure
>> it works).
>
> Does it work for the libraries installed with Guix?

To test this, I attempted to load `~/.guix-profile/lib/libguile-2.2.so`
since I don't have many libraries installed from Guix. This library
depends on the following libraries, as reported by `ldd`:

=2D-8<---------------cut here---------------start------------->8---
linux-vdso.so.1 (0x00007ffe3a353000)
libgc.so.1 =3D> /gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12/li=
b/libgc.so.1 (0x00007faeaee00000)
libpthread.so.0 =3D> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29=
/lib/libpthread.so.0 (0x00007faeaedd8000)
libffi.so.6 =3D> /gnu/store/ain96mrdwqd4s9shdd3s7m4syp5icdx5-libffi-3.2.1/l=
ib/libffi.so.6 (0x00007faeaedc8000)
libunistring.so.2 =3D> /gnu/store/nsikjxykcaqa0zjpfmkqd569bngbv5nl-libunist=
ring-0.9.10/lib/libunistring.so.2 (0x00007faeaec40000)
libgmp.so.10 =3D> /gnu/store/y7qk8raalgvdnxcglvxa320cfxrjk1x6-gmp-6.1.2/lib=
/libgmp.so.10 (0x00007faeaeba8000)
libltdl.so.7 =3D> /gnu/store/zasz52va238yyaq68rjm8ljwl4ikij4p-libltdl-2.4.6=
/lib/libltdl.so.7 (0x00007faeaeb98000)
libdl.so.2 =3D> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/=
libdl.so.2 (0x00007faeaeb90000)
libcrypt.so.1 =3D> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/l=
ib/libcrypt.so.1 (0x00007faeaeb50000)
libm.so.6 =3D> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/l=
ibm.so.6 (0x00007faeaea10000)
libgcc_s.so.1 =3D> /gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-li=
b/lib/libgcc_s.so.1 (0x00007faeae9f0000)
libc.so.6 =3D> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/l=
ibc.so.6 (0x00007faeae830000)
/lib64/ld-linux-x86-64.so.2 (0x00007faeaefb0000)
=2D-8<---------------cut here---------------end--------------->8---

Attempting the same steps in the SBCL REPL again succeeds with no
errors:

=2D-8<---------------cut here---------------start------------->8---
CL-USER> (asdf:load-system :cffi)
T

CL-USER> (cffi:load-foreign-library "libguile-2.2.so")
#<CFFI:FOREIGN-LIBRARY LIBGUILE-2.2.SO-492 "libguile-2.2.so.1.4.1">
=2D-8<---------------cut here---------------end--------------->8---



Hopefully this clarifies the problem somewhat.
=2D- Evan

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEE6f/SZXb4DLdwy+VR9TDDtKKp8G0FAl4eMw8ACgkQ9TDDtKKp
8G3ushAAi6SPEVXeqYYIpzk7/qaYs71eRcjDxBexXkjP+6XZsdRIVgTwV//WRlqu
mNAwVKUCf1vjtrdyLumvHaWBlhZv2mhIzxK93+4OqnAxcPayb+Y/d7tG3EiBRe7O
GhjW5hyl+H426U5NbmIODAn+M9ebCIGJifF8UTUgjGsaTZgpw7nJNgUWUdMg1JNb
Qp7YT4iguYoliujve2bwfzyz3AUZw1JW5K86hkTU9EtS3u2P6ju86fnv6EshOZJu
1u0g6Q+VDdFXw+tAwHTggwV9EvXvF29je4UBjcC8IcYfDpX3lvlInwwEtwZlwhLP
x89lDcPbjOCARWb3fUrAlcHPLL4ihqUld0wGYT7GsWLi3/tg+5a766AkbXF3GchX
GwUeRbpNURJhZ1sV9CuYycxtyW9AoSz84+OtEBB8U640HY2rnB0LjmuE2btfVAHD
tp/UEdFV8bdQw0qRrK2VJcXkfzAyIRXHB4n0Da3OSn90zi9qiIADqZ6S5I4k1f++
pBrQ1Bc2vKXO9rhNWJTdbkXhxpvzb+NKKjUBZSJG6QfqdnVhieVf+o/p/C1d+BIf
DlIPYQDogOVTSTyAfwpNl1ve3VmAeGVmqsTvrU0FPf5bjPswcjUFeZMDT6KJBwYh
60wLf0IJl66tUyqVPmSoTdjcI14I5N/T0QErHIUle5a7l33tzS0=
=mZpQ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 14 Jan 2020 10:25:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 05:25:51 2020
Received: from localhost ([127.0.0.1]:60684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irJON-0003GY-PD
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 05:25:51 -0500
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:58739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1irJOJ-0003GK-AY
 for 39079 <at> debbugs.gnu.org; Tue, 14 Jan 2020 05:25:47 -0500
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 10D746000B;
 Tue, 14 Jan 2020 10:25:40 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Konrad Hinsen <konrad.hinsen@HIDDEN>,
 Evan Straw <evan.straw99@HIDDEN>
Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <m136cie49w.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <c2f7cc71-d672-e2f8-6280-664d26e680e1@HIDDEN>
 <874kwyz8b3.fsf@HIDDEN>
 <m136cie49w.fsf@HIDDEN>
Date: Tue, 14 Jan 2020 11:25:39 +0100
Message-ID: <87d0bmpc64.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Konrad Hinsen <konrad.hinsen@HIDDEN> writes: > Not with
 shared libraries in Guix, I agree. But the problem was with > shared libraries
 from the foreign distros. Guix actually tries hard > *not* to make them
 accessible (in order to ensure reprodu [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.195 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.195 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Konrad Hinsen <konrad.hinsen@HIDDEN> writes: > Not with
    shared libraries in Guix, I agree. But the problem was with > shared libraries
    from the foreign distros. Guix actually tries hard > *not* to make them accessible
    (in order to ensure reprodu [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.195 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.195 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Konrad Hinsen <konrad.hinsen@HIDDEN> writes:

> Not with shared libraries in Guix, I agree. But the problem was with
> shared libraries from the foreign distros. Guix actually tries hard
> *not* to make them accessible (in order to ensure reproducibility),
> so I wonder if this bug should be closed as "not a bug".

The snippet I shared above allows the user to set SBCL to libraries from
the given locations.
I can't see why this wouldn't work on a foreign distribution.  But let's
wait until Evan shares his complete setup.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4dlyMACgkQm9z0l6S7
zH+5lQgAiLmlFll0jIGBNwGYr6efqtyDutEG0YmUSItUsWH5uCML4LtuInjJV8rf
/MqrW6E8P+mY57E72ve81LejEJy8iJWdhtZDHCrWRe5QWij2mHlQFR6G20/e4h/C
NK3fJB59NN42NakJW9JUhdTjMlkz7PxfTof5z7ww+0rpWCzRh/9mFS4AXsNGZZXo
7hY7O5p4Ki6oOIt9Corb0w1Cy81KqD2MgvG6SQPurYxJLLmjHlkP+TTYywl1pwCT
gyOR9u+p3mmnnGNzsP0bJipfb+1C5PpMu1Mct0p24i09c49sfsh4LoZqowT0Yz/D
M/HyIxYvt5RmTQa4HXu7BSOuUYHzVg==
=cyfy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 14 Jan 2020 10:11:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 05:11:57 2020
Received: from localhost ([127.0.0.1]:60679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irJAw-0002vR-3z
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 05:11:57 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:56685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <konrad.hinsen@HIDDEN>) id 1irJAq-0002v8-U8
 for 39079 <at> debbugs.gnu.org; Tue, 14 Jan 2020 05:11:52 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.west.internal (Postfix) with ESMTP id 3B9E44C8;
 Tue, 14 Jan 2020 05:11:42 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Tue, 14 Jan 2020 05:11:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.net; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=sIcfFQvx+jjbrOpqs9cMl2OMel
 D3/fgCsai/ppMnUBw=; b=Uk1LbgWyTPTorl3hfIPa7Ih73hXbwj/tVUTvVRmnrx
 c0xlKbI9Lyhr/NMsnahVl4UEGsPLiZaHSe95se7kO14AglGi3B253WKDLGzjNQPV
 U+g5KiSeL0eBoiZtJQy03UPko/9+Vosi8E5yOZdHgohcyPLv816JJBLHjad5Dsgn
 PgE+J1zyTAbOH4wEqsu3b7xzqAHDDpRQZtNKzT+4eqtcp6yjHnsbV8C/leW0k33B
 ja4Cba/PHQurwMBXzQKf4N5azIxMbzfClb5HJGwRlVLQwhEKINhbc5KteOAtG+ip
 NXh3b5ARsC2w91dT7voSomuYIjXKTI22tAO7qKY4ZOCQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=sIcfFQ
 vx+jjbrOpqs9cMl2OMelD3/fgCsai/ppMnUBw=; b=jj1wtu16zFZb5ygy3N5sR5
 2/r3e8Td0x++CMRZEzj6ja5XIxFew1IYweXHxAg6nKygPLb5qodLDjS2WkKVL88Y
 9cG6861O+isGFrZZliYE/0ryzcFKXLaLzDbxt1zPnpDTwZ18l2Fv51lPxJGIrjk2
 AU48jCQ5yCI/NDomzmhYPjr99s7k/QbYXMDRl6GeJ3pqvCgH/wi7GC0MxCMMpzgc
 2PMBG4I9Hw3d0NsCWK1FIcd18Sik+JAxlrJR5eTVlLVqU2DcoYgOscAAtT1F7O3L
 Sw77Gcz3YMI1rMMXqzJ6U2mPjFYu3i8CqBQLMstys+LcCgjPrR8pgDDzpKYjmfQA
 ==
X-ME-Sender: <xms:3ZMdXmVRIacQHWxd3Wo1AOn3KcI2VX68KoQoWKmINAGEcCIJFl-3kQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdejvddgudefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 gfrhhlucfvnfffucdlfeehmdenucfjughrpefhvffujghffffkgggtsehttdertddttddt
 necuhfhrohhmpefmohhnrhgrugcujfhinhhsvghnuceokhhonhhrrggurdhhihhnshgvnh
 esfhgrshhtmhgrihhlrdhnvghtqeenucfkphepkeeirddvgeejrdduieegrddvgeehnecu
 rfgrrhgrmhepmhgrihhlfhhrohhmpehkohhnrhgrugdrhhhinhhsvghnsehfrghsthhmrg
 hilhdrnhgvthenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:3ZMdXvc6ij6WmbXMM8xfV9dpZYNjIWiaGBaa9YEfqCJZAq_FIZ0cKw>
 <xmx:3ZMdXqK6FW3czb6I8lvi3XpdbX3sTVznnZN-JDFt9NPHTY_gqL2loQ>
 <xmx:3ZMdXswyxgLmr9UTcXIibc2zXl4ryzcmd9m1vNqcj_OPbX8l0_Z8ow>
 <xmx:3ZMdXt8tfvWQy1f-orcmtOIIwE2uQ9aEw8ccEcj44SgMJ7J6xzMh0g>
Received: from ordinateur-de-catherine--konrad.home
 (lfbn-idf2-1-714-245.w86-247.abo.wanadoo.fr [86.247.164.245])
 by mail.messagingengine.com (Postfix) with ESMTPA id 739FF3060783;
 Tue, 14 Jan 2020 05:11:40 -0500 (EST)
From: Konrad Hinsen <konrad.hinsen@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>, Evan Straw <evan.straw99@HIDDEN>
Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <874kwyz8b3.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <c2f7cc71-d672-e2f8-6280-664d26e680e1@HIDDEN>
 <874kwyz8b3.fsf@HIDDEN>
Date: Tue, 14 Jan 2020 11:11:39 +0100
Message-ID: <m136cie49w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Pierre Neidhardt writes: > Konrad Hinsen writes: > >> Note
 that this is a feature, not a bug, so if that's the cause of the >> problem,
 there is nothing to do about it. You'd have to compile sbcl >> with the
 toolchain of th [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: messagingengine.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (konrad.hinsen[at]fastmail.net)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [64.147.123.25 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Pierre Neidhardt <mail@HIDDEN> writes:

> Konrad Hinsen <konrad.hinsen@HIDDEN> writes:
>
>> Note that this is a feature, not a bug, so if that's the cause of the 
>> problem, there is nothing to do about it. You'd have to compile sbcl 
>> with the toolchain of the foreign distro.
>
> You don't have to use another SBCL.  If you look at how we package
> cffi-based libraries (e.g. sbcl-cl-sqlite), you'll see that we set the
> path to the .so manually to the store location.  This should not raise
> any issue.

Not with shared libraries in Guix, I agree. But the problem was with
shared libraries from the foreign distros. Guix actually tries hard
*not* to make them accessible (in order to ensure reproducibility),
so I wonder if this bug should be closed as "not a bug".

Cheers,
  Konrad.




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 14 Jan 2020 09:39:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 04:39:07 2020
Received: from localhost ([127.0.0.1]:60660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irIfA-00028S-3L
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 04:39:07 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:48595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1irIf4-00027z-VJ
 for 39079 <at> debbugs.gnu.org; Tue, 14 Jan 2020 04:39:02 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id D491EFF812;
 Tue, 14 Jan 2020 09:38:56 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Konrad Hinsen <konrad.hinsen@HIDDEN>,
 Evan Straw <evan.straw99@HIDDEN>
Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <c2f7cc71-d672-e2f8-6280-664d26e680e1@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
 <c2f7cc71-d672-e2f8-6280-664d26e680e1@HIDDEN>
Date: Tue, 14 Jan 2020 10:38:56 +0100
Message-ID: <874kwyz8b3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Konrad Hinsen <konrad.hinsen@HIDDEN> writes: > Note
 that this is a feature, not a bug, so if that's the cause of the > problem,
 there is nothing to do about it. You'd have to compile sbcl > with the
 toolchain of the foreign distro. 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: fastmail.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.199 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Konrad Hinsen <konrad.hinsen@HIDDEN> writes: > Note
   that this is a feature, not a bug, so if that's the cause of the > problem,
    there is nothing to do about it. You'd have to compile sbcl > with the toolchain
    of the foreign distro. 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: fastmail.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.199 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Konrad Hinsen <konrad.hinsen@HIDDEN> writes:

> Note that this is a feature, not a bug, so if that's the cause of the=20
> problem, there is nothing to do about it. You'd have to compile sbcl=20
> with the toolchain of the foreign distro.

You don't have to use another SBCL.  If you look at how we package
cffi-based libraries (e.g. sbcl-cl-sqlite), you'll see that we set the
path to the .so manually to the store location.  This should not raise
any issue.

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4djDAACgkQm9z0l6S7
zH/HkAf/fHRE7xePP3E3diuwWYGDlisVP/Ev37hIVk9dg1wVqfHj/m7KTLazr2mu
BZmVzSVyrwJbyDyoDaKIK5oiEkDAdW4J1lBsZtRZOhgu/thySBGBEJH/R+XjpTjy
TePhs59gV5Sra1exhu515Xh2mBAG28EO0wtFSqc6A0MtyrJf5CRcq+m05hH7dvFU
8HXjmiX46hLQb4xO5WSXoKbc74CLTwyO/1eKxGUV7q9FJhMkl5h6b8Qz0WHQ7ffx
xqrU68Lnr5BIZ062lT/BZsGvIIsu414Yn4swXGUEzUeBdmUMahBI5JDrKw4pz3bQ
qRni0M2t0QVuspJWPdo4uu1u6hzCjQ==
=sk2c
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 14 Jan 2020 05:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 00:52:17 2020
Received: from localhost ([127.0.0.1]:60606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irF7h-0002pa-6C
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 00:52:17 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:52005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <konrad.hinsen@HIDDEN>) id 1irF7e-0002pL-3l
 for 39079 <at> debbugs.gnu.org; Tue, 14 Jan 2020 00:52:15 -0500
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id D4D0D21DC4;
 Tue, 14 Jan 2020 00:52:08 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Tue, 14 Jan 2020 00:52:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.net; h=
 subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-type:content-transfer-encoding; s=fm2; bh=6
 BdanqjGaslVLfvicaXA/UAM2V/BPDOSRpX1UAqwTUQ=; b=ogSkKllQOJ30bvUBX
 Q4JiJb/QqvyJu1yJvWJEyqo/NXtW8WAjnaQmpfclcg815GmBMSr2BSw4bg9LCeYn
 qDYm7NficlEx9tw0MInTPSmvtNEmw9YJ5xNSgL/YNXd0/mi0/IBk22xjT4hWcaD9
 zrMK4axmUpYTV7OTZusoNd4ommh1zltwlIY96H86d/xtMeOwshEGZsRMTUFPPxnL
 wV1m+tJv7reGrwvW1eoL4sTdnbwBS8TdO7YYu/PAHxSljzpiFn48t1PN4IvJVXrr
 5wvvEAVJuf2DvTmr3N+bFskRp0cJhG4N8iS9MDQtE0UTAQaUv+MztlhAgLJyh8T3
 CJBsw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; bh=6BdanqjGaslVLfvicaXA/UAM2V/BPDOSRpX1UAqwT
 UQ=; b=eFoqVWKTGkZdNDUUvqdLoUDqWTJCE4OoxXpmwET5VEXg17Dy2KwgBNSiB
 fBHJQQFG33G/NJ17BX+XEK9DeHOTmLMnKRXRAcjSkw8I+RNjCc55tUDiOrxqSu5P
 YkypfNXD/4RF9khHItckgjeyNhBLtG9c3ctHCMHGmh5Zo70C4CpKXp55yCqBdrN0
 hARfwwAD238yL2BjFjSbSICxW9B75zDResuqb7ZzmJ4doj/UDMR+8g41H3qRFQtQ
 Ny07z382fUFeZ5H1lK346LSh9O0VqFvkXwAB77dE+V+cfUv1t90BuehKMX48K8yy
 xpmc4fMaiA2yuvy+5QxrWCJXjamIw==
X-ME-Sender: <xms:CFcdXq-Yzi4xeIkv_StpHNByRjwDHHyDZCxki5X-61JWUqCQA5zQ8w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdejuddgkeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepuffvfhfhkffffgggjggtgfesthejredttdefjeenucfhrhhomhepmfhonhhr
 rgguucfjihhnshgvnhcuoehkohhnrhgrugdrhhhinhhsvghnsehfrghsthhmrghilhdrnh
 gvtheqnecukfhppeekiedrvdegjedrudeigedrvdegheenucfrrghrrghmpehmrghilhhf
 rhhomhepkhhonhhrrggurdhhihhnshgvnhesfhgrshhtmhgrihhlrdhnvghtnecuvehluh
 hsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:CFcdXgFQY5ank5li_VQPgUoYOXLkZie-WG8vNvLWY0mwv4FEbXUMQg>
 <xmx:CFcdXgPdQvzLSIKvT26-Y5tFYwxdVSp9y1upya5guE95tM4m-u3EAg>
 <xmx:CFcdXidf33Y1an5-EBuG0oZLO0E-_H3griYv4JTM_cIEqzF99Jyc9A>
 <xmx:CFcdXopVZMxmlQvWshWKaDTQFu_kCEyWbCXHlzUZdM7P4X7fm3AlEg>
Received: from ordinateur-de-catherine--konrad.home
 (lfbn-idf2-1-714-245.w86-247.abo.wanadoo.fr [86.247.164.245])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1FA9430602DB;
 Tue, 14 Jan 2020 00:52:08 -0500 (EST)
Subject: Re: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries
To: Pierre Neidhardt <mail@HIDDEN>, Evan Straw <evan.straw99@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN> <87o8v7yp23.fsf@HIDDEN>
From: Konrad Hinsen <konrad.hinsen@HIDDEN>
Message-ID: <c2f7cc71-d672-e2f8-6280-664d26e680e1@HIDDEN>
Date: Tue, 14 Jan 2020 06:52:06 +0100
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.9.1
MIME-Version: 1.0
In-Reply-To: <87o8v7yp23.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: fr-classic
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Pierre and Evan,

> This seems to be a red herring, as Guix does not change how CFFI loa > libraries.  The only thing that changes is where the libraries are 
found> with Guix packages.
I don't know about the details of SBCL and its CFFI, but there is a 
difference in how Guix handles shared libraries that I discovered 
recently and which might be related.

Programs compiled under Guix don't use the search path feature for 
shared libraries (via Guix' own copy of ldd.so). All references to 
shared libraries use the full path to the store. So if you compile sbcl 
under Guix, it will never look for libraries that are referenced by name 
only (without the full path). The foreign distro probably relies on that 
lookup, as most Linux distros do.

Note that this is a feature, not a bug, so if that's the cause of the 
problem, there is nothing to do about it. You'd have to compile sbcl 
with the toolchain of the foreign distro.

Cheers,
   Konrad.




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 13 Jan 2020 22:22:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:22:34 2020
Received: from localhost ([127.0.0.1]:60283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir86U-0003qn-GY
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:22:34 -0500
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:59521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir86R-0003qc-Qs
 for 39079 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:22:32 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id C7A8940003;
 Mon, 13 Jan 2020 22:22:29 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Evan Straw <evan.straw99@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
In-Reply-To: <87v9pfm2fq.fsf@HIDDEN>
References: <87v9pfm2fq.fsf@HIDDEN>
Date: Mon, 13 Jan 2020 23:22:28 +0100
Message-ID: <87o8v7yp23.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi! Evan Straw <evan.straw99@HIDDEN> writes: > However,
 the thing that still doesn't appear to be working right is loading > libraries
 from the foreign distro. I get the same behavior as before when > attempting
 to load a library under the forei [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.194 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [217.70.183.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi! Evan Straw <evan.straw99@HIDDEN> writes: > However,
    the thing that still doesn't appear to be working right is loading > libraries
    from the foreign distro. I get the same behavior as before when > attempting
    to load a library under the forei [...] 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [217.70.183.194 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [217.70.183.194 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: ambrevar.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi!

Evan Straw <evan.straw99@HIDDEN> writes:

> However, the thing that still doesn't appear to be working right is loadi=
ng
> libraries from the foreign distro. I get the same behavior as before when
> attempting to load a library under the foreign distro's library directory
> (/usr/lib/x86_64-linux-gnu): It loads the library itself but fails upon t=
rying
> to load any dependencies, even if they are in the same directory.

What are "dependencies" here?
Can you provide a full recipe of what you are trying to do, including
your .sbclrc and the Lisp code snippets you've run to test this?

> Ideally, I would just install the libraries I need from Guix, but I
> specifically want to interface with a library from the system, in this
> case PulseAudio (I've just been using libcurl as a test to make sure
> it works).

Does it work for the libraries installed with Guix?

> I did some investigation and tried both installing just CFFI from another
> source, and then SBCL itself. Installing CFFI from Quicklisp but keeping =
SBCL
> from Guix gave the same behavior and was unable to load dependencies of t=
he
> library. Installing SBCL from APT and CFFI from Quicklisp was able to loa=
d the
> library and all dependencies with no issues. From this, I'm wondering if =
it's a
> problem with SBCL itself instead of CFFI?

This seems to be a red herring, as Guix does not change how CFFI loads
libraries.  The only thing that changes is where the libraries are found
with Guix packages.

Let's see what we can reproduce with your examples! :)

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4c7aQACgkQm9z0l6S7
zH8bmAf/dhAFerSPHxk4hbe35ZQrakCJFAYN5R6A83d/30WBMeR+tc4wobc/yMN3
Uv27bQMx3b1H2vdmQ6gV+5KLqkpXcY4pizZvq9FMDJYV9ZnORuLjU2bQM0/KwCDM
lB5/ZoGNxBTdOBRi2Wnq+xvWWVYb7VqTMaFIYEK2M/jOE9aeKpxfr9YljkAV4som
VS6Zif3tR55Z58j+VSUIwCa4dVy57d57V36716B3FEirzUKwyaQb6Gcy5azBkV5H
ZWWv+7dUH2wPPw4v4FREteG9AsZOa5AEtuFd8BW8oxrMdsvSihC1qjMD/N5SDxao
isQZzaB5NfNxyp+scp3O8HniUjFA5w==
=tAb9
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 13 Jan 2020 22:12:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:12:04 2020
Received: from localhost ([127.0.0.1]:60277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir7wK-0003XY-Fz
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:12:04 -0500
Received: from mail-pj1-f47.google.com ([209.85.216.47]:36158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evan.straw99@HIDDEN>) id 1ir7wI-0003X3-U7
 for 39079 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:12:03 -0500
Received: by mail-pj1-f47.google.com with SMTP id n59so4905304pjb.1
 for <39079 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 14:12:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:user-agent:mime-version;
 bh=gRLif4+Iw6XOCZgRclXXRnEh1R1a3JFeIrvVzrZYUJQ=;
 b=edYaLFjEdHR7UUwqsZ5R1EcG72k9kHlAhSUo9OaI9WIncLLa2JHEEIuKntjQcoVmy9
 RuoytAx9zPMbJstmuJeCZvzfUvJGz7M7D5oP4y9WGoQSBeed4b8LphcbmKWXbbLJB+xu
 G/v+jjCWFYxnquYh8FsW6xnYRkX84bW0VBFlydXcuyK296KRmbPcBkMFHthWLcu15Wz4
 STRGJX3S94mZSfhVHva+7QwZ6wNUptFExEkXmTTNJJN2XItjtlCN6XVvVFA1Gu4q5Bm3
 D7GEb9X1oxaqH62i+Uz33jv6I+vlFVpNbqNIPrHjNAVoYjfbsDbCawsH3Ci0t34CodV4
 raGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:user-agent
 :mime-version;
 bh=gRLif4+Iw6XOCZgRclXXRnEh1R1a3JFeIrvVzrZYUJQ=;
 b=A96I5qp7X6gy9xD/hxYYnnMFSupOTrCuwNz9Qxm3TBO9tfcvhFNjeZCrqklt93WJ3o
 Kj/7l6Zrv+clZVyDfKUnIBEdIZJkNiSPErIHtceHwz2t8yUUN/Q92ScjcRIV0F58uoFe
 QErctXzo4BFcRijbNG/dL5TSWvIqb6jWHgKl5KKnQ/SVp3cM9ctrxDZYCA4bUcIWzBL2
 63yOWymAbEKqes6XaTBxoJGwPZlsGGAOQrCgK8wY2mZel6a0u/XYdQYdy6XiYrv/ZhZ2
 /3BRG8Jdfor+JJTQR1W9bAGxVq2wIctfNyMbTlXH4Nf64BMLJUKS2/R4Tp8s5X/Ee6CC
 glhA==
X-Gm-Message-State: APjAAAXu7L6X5QiTMg+uSH9TUCa2S/b3+xUcZBZlAC3XJoK9NIMGhAWo
 o9p5xI2PkPzBUnW+E3sREapKl8pb
X-Google-Smtp-Source: APXvYqw9d062/kZtKu7MDqStGaxGMjLAgpE1nsghFU5uZCFK/yvgjiWZeTtxakEHAoOztD1dNxCZdQ==
X-Received: by 2002:a17:90a:30e8:: with SMTP id
 h95mr19086761pjb.30.1578953516407; 
 Mon, 13 Jan 2020 14:11:56 -0800 (PST)
Received: from xenon ([205.175.106.31])
 by smtp.gmail.com with ESMTPSA id e2sm15414809pfh.84.2020.01.13.14.11.55
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 13 Jan 2020 14:11:55 -0800 (PST)
From: Evan Straw <evan.straw99@HIDDEN>
To: Pierre Niedhardt <mail@HIDDEN>
Subject: Re: SBCL CFFI from Guix unable to find dynamic libraries
Date: Mon, 13 Jan 2020 14:11:53 -0800
Message-ID: <87v9pfm2fq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 39079
Cc: 39079 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Hi Pierre,
Thanks for your response.

>In the meantime, you can add this to your ~/.sbclrc:
>
>--8<---------------cut here---------------start------------->8---
>(when (ignore-errors (asdf:load-system "cffi"))
>  ;; Warning: Trailing "/" matters!
>  (dolist (guix-profile
>           `(,(when (uiop:directory-exists-p "~/.guix-profile")
>                (format nil "~a/.guix-profile/lib/" (uiop:getenv "HOME")))
>              ,@(mapcar (lambda (d)
>                          (format nil "~a~a/lib/"
>                                  (namestring d)
>                                  (first (last (pathname-directory d)))))
>                        (uiop:subdirectories "~/.guix-extra-profiles/"))))
>    (push guix-profile
>          (symbol-value (find-symbol (string '*foreign-library-directories=
*)
>                                     (find-package 'cffi))))))
>--8<---------------cut here---------------end--------------->8---

I attempted to add this to my .sbclrc, and added the "/usr/lib/x86_64-linux=
-gnu"
directory to that list as well. This seems to have made some progress, beca=
use
now, when I load CFFI, the *foreign-library-directories* variable is popula=
ted
with a list of directories. Additionally, CFFI is capable of loading librar=
ies
installed through Guix as well with no issues.=20

However, the thing that still doesn't appear to be working right is loading
libraries from the foreign distro. I get the same behavior as before when
attempting to load a library under the foreign distro's library directory
(/usr/lib/x86_64-linux-gnu): It loads the library itself but fails upon try=
ing
to load any dependencies, even if they are in the same directory. Ideally, I
would just install the libraries I need from Guix, but I specifically want =
to
interface with a library from the system, in this case PulseAudio (I've just
been using libcurl as a test to make sure it works).=20

I did some investigation and tried both installing just CFFI from another
source, and then SBCL itself. Installing CFFI from Quicklisp but keeping SB=
CL
from Guix gave the same behavior and was unable to load dependencies of the
library. Installing SBCL from APT and CFFI from Quicklisp was able to load =
the
library and all dependencies with no issues. From this, I'm wondering if it=
's a
problem with SBCL itself instead of CFFI?=20

Do you (or anyone reading this thread) have any thoughts on this? Is this a=
 bug
in the SBCL package, and if so, is there any way to work around it currentl=
y?=20

Thanks for the help.
=2D- Evan

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE6f/SZXb4DLdwy+VR9TDDtKKp8G0FAl4c6ykACgkQ9TDDtKKp
8G3O+g/+Peg5nCtMZE8ZscQnuIF32GAVPWPIVlr7MHvqMn8oYc9gUQ78uSezxdSw
nyGS5UgCw/YmqB4I9dVED6OVHVTsHlcHEPF/PGoEOwNGtagZSG532EfTxbP1RhRX
yb03vlY9Z0ZNXBID36JbPYQalMcQ1E//JvdLw7mnkV4txFU5/dtaDGGDSiv6WGpH
7Y3RnhAiDhjF/HwrlVixpHDJgkMsFzEmYIaQe1ljQmffIiz+HSx7d8jK4u+Pj6gh
AJMx5wvITQjf0CEXMwk9eb3fcY+w40vGjWhvDpuWLXfOO+cdxvnvWETU4YoWqUsY
rdPi8kIkyY+FlpAMu0bEUXoaZ2GIpAEa4CXEdK+I/kIS9PWXzbpOd8986FfOXjIh
xDenor9hyMY7mlXxv1JQI9BkRvJDio1amI9z1WSG3zmkkvGAvkrb5SrDygoFNA8L
1FFZPqZVl3v0cxREyBgTUwrqYjbys/wl5Flq/mfhvPvhbU9VlA/EJl0sQudi1uql
o1kJ3UfnjeGcp/mmjzF29OeJDzUUyYiSrjobNFrYynx78vHnhb+9swOoP8PROtZb
oVJTUoAvXT6AwxBCD77fPaFKxPsxL2G9nlBKJ+3rn81+WOF8tm/oyAU3o5QVeAA/
JXyr4nH2ROIIiad1byxtU8eMX5Bwy/UK7LENBCYdiLBkfWwiX1I=
=NiWR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at 39079 <at> debbugs.gnu.org:


Received: (at 39079) by debbugs.gnu.org; 11 Jan 2020 09:58:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 11 04:58:13 2020
Received: from localhost ([127.0.0.1]:55382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqDX3-0006Tk-0B
	for submit <at> debbugs.gnu.org; Sat, 11 Jan 2020 04:58:13 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:59289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iqDX0-0006Ta-KQ
 for 39079 <at> debbugs.gnu.org; Sat, 11 Jan 2020 04:58:11 -0500
X-Originating-IP: 92.169.151.76
Received: from mimimi (lfbn-idf2-1-1340-76.w92-169.abo.wanadoo.fr
 [92.169.151.76]) (Authenticated sender: mail@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id 82694FF805
 for <39079 <at> debbugs.gnu.org>; Sat, 11 Jan 2020 09:58:07 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: 39079 <at> debbugs.gnu.org
Subject: bug#39079: SBCL CFFI from Guix unable to find dynamic libraries
Date: Sat, 11 Jan 2020 10:58:07 +0100
Message-ID: <877e1ywc0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Evan, This is a current limitation on Guix because CFFI
 hardcodes the lib path to /usr/lib, etc. Maybe we could fix this, but it's
 not very clear how. In the meantime, you can add this to your ~/.sbclrc: 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ambrevar.xyz]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.199 listed in list.dnswl.org]
 0.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: ambrevar.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Debbugs-Envelope-To: 39079
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Evan,

This is a current limitation on Guix because CFFI hardcodes the lib path
to /usr/lib, etc.
Maybe we could fix this, but it's not very clear how.

In the meantime, you can add this to your ~/.sbclrc:

=2D-8<---------------cut here---------------start------------->8---
(when (ignore-errors (asdf:load-system "cffi"))
  ;; Warning: Trailing "/" matters!
  (dolist (guix-profile
           `(,(when (uiop:directory-exists-p "~/.guix-profile")
                (format nil "~a/.guix-profile/lib/" (uiop:getenv "HOME")))
              ,@(mapcar (lambda (d)
                          (format nil "~a~a/lib/"
                                  (namestring d)
                                  (first (last (pathname-directory d)))))
                        (uiop:subdirectories "~/.guix-extra-profiles/"))))
    (push guix-profile
          (symbol-value (find-symbol (string '*foreign-library-directories*)
                                     (find-package 'cffi))))))
=2D-8<---------------cut here---------------end--------------->8---

In the above, edit "~/.guix-extra-profiles" to point to the directory
where you store all your profiles.

Hope that helps!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl4ZnC8ACgkQm9z0l6S7
zH8ewAf6AwU0b2bmnlVUCiosS8A8mTQbGzuBgPpdaN2aTgAk8foi6l6Ee/S6JUYG
sK9Qfmw/lj/qs3QvwuA317Zog0U+bG5NPucuKwGGvZ0f/DkK6dF3wwL6Tjwt+cAl
mnVVWKnOlXAhonKRBEJorvROGEuA6y3YjDWXTIt1rR2YGNdlyJzqTZE7H4oO8Yyl
byY3/cZrN4kcW1XlBOY4SfIrE//rrJxL9/5VIYvR1tXmpV89IjggsSRohQVV+0Ys
OfAJ/ru9c0GOT4EvKyXeAP/3HzXOEkIxo8yoRATqkDcQVfT3C9VSGhenOfLt0Y7q
cUV0ViE3OGGGEzd5Z79snB/iQtShpA==
=SyQ5
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2020 03:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 10 22:38:29 2020
Received: from localhost ([127.0.0.1]:55203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iq7bZ-0005gu-57
	for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 22:38:29 -0500
Received: from lists.gnu.org ([209.51.188.17]:58287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evan.straw99@HIDDEN>) id 1iq7bW-0005gm-Q2
 for submit <at> debbugs.gnu.org; Fri, 10 Jan 2020 22:38:27 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:49172)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <evan.straw99@HIDDEN>) id 1iq7bV-0001CP-Dr
 for bug-guix@HIDDEN; Fri, 10 Jan 2020 22:38:26 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_20,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <evan.straw99@HIDDEN>) id 1iq7bU-0004sN-4L
 for bug-guix@HIDDEN; Fri, 10 Jan 2020 22:38:25 -0500
Received: from mail-pg1-x541.google.com ([2607:f8b0:4864:20::541]:41831)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <evan.straw99@HIDDEN>)
 id 1iq7bT-0004n5-U1
 for bug-guix@HIDDEN; Fri, 10 Jan 2020 22:38:24 -0500
Received: by mail-pg1-x541.google.com with SMTP id x8so1912156pgk.8
 for <bug-guix@HIDDEN>; Fri, 10 Jan 2020 19:38:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=7gN2E+sus0fj2Uul080PuZBqAuKkHnZ9TL71zh8Zjco=;
 b=ajNKSrjklW8RlDq9vs1OqLirjipN1djaQn5b7N4IllkY/60Uz9G+f+RHl2Vv5FvQDF
 +4t4YZ2yoD2eLV3AnE/fwK59PzoVHqTnU5OwlT7SeaAQq5KsgQ3UeqlYPMbKKQz3WRn4
 Sl6LnqAIdrAIsYcugwJYHW7Im16t89C+/TnOa8FpI064/DFfYcQtlTeBBb+gTlzjJiw1
 rN/xK5gX8+Xju6wUS/BtLXZ6Y20O/Tz7Gw6QaAONjTEGMfjEm/kx+MmMRLBiS3TyoSI3
 yPh8xkhKwNWSr7w7hjdaf4mfOYYnffvhUgK86OHn2UXh9N6b9MJu61XbwPi4jEjIN9A4
 1AlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=7gN2E+sus0fj2Uul080PuZBqAuKkHnZ9TL71zh8Zjco=;
 b=hyDeH8uh8Usl14OyvIBrLaD7mYpOo4lYJAIxUI0t8VhNB2oc4MLXVlMy8bZf+WFto2
 XBWw1OxcGTLqEFlDG4vCmhDZMWny1uQYDQ59kMlho7kM338hLpKuyvf30CN/TYwGkatK
 C2Q/yjBAE3gjlQ4t+25IOq0Hhwj16o+iDV8dmHGWaHilNxRwolmn+i5CjgELpsGZJDN0
 yYlh1lFf8XL31CoINB36K3NURVgj+hxR3ApFajmiNyrHjx56vs5C7iB61BKgG548Ce7Y
 76hVYvk9O4A/KztskCkFezfmWwDYIXR1qK5zH8GSvHdSxTuqU9n5VnwyUk6Wa7aLguio
 mL3A==
X-Gm-Message-State: APjAAAVd6sRK4frHPK9IooImrkiXEH0TV5zyxFDyGteaxu5D6niNCJ25
 sELh8kc+nNjwTzEH4VjHdXYWTGla
X-Google-Smtp-Source: APXvYqwj3ixqCuNURxVaTu6c7wN52CMGjEeFYlJoJXDl632kLzL/VNa2GvUsvZL23cXfngDVNnZN8Q==
X-Received: by 2002:a63:8f51:: with SMTP id r17mr8387015pgn.157.1578713901578; 
 Fri, 10 Jan 2020 19:38:21 -0800 (PST)
Received: from xenon ([205.175.106.108])
 by smtp.gmail.com with ESMTPSA id k12sm4203595pgm.65.2020.01.10.19.38.20
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 10 Jan 2020 19:38:20 -0800 (PST)
From: Evan Straw <evan.straw99@HIDDEN>
To: bug-guix@HIDDEN
Subject: SBCL CFFI from Guix unable to find dynamic libraries
Date: Sat, 11 Jan 2020 03:38:19 +0000
Message-ID: <87ftgm3bo4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::541
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--=-=-=
Content-Type: text/plain

Hello all,

I have GNU Guix installed on a foreign distro, Ubuntu 19.04. I have the
sbcl and cl-cffi packages installed from this installation of Guix, and
I am attempting to use the CFFI package to load libcurl, as demonstrated
in the CFFI tutorial here:
https://common-lisp.net/project/cffi/manual/html_node/Tutorial_002dLoading.html

However, this fails with a message saying that there is "no such file or
directory," even when I attempt referencing the library by its exact
name, "libcurl.so.4".

There is only one condition in which I can get this to (sort of) work,
and that is when I manually add the path "/usr/lib/x86_64-linux-gnu/" to
the *foreign-library-directories* list, which is initially NIL. Even
then, however, CFFI fails to automatically load any libraries libcurl is
dependent on, unless I manually load them by directly referencing their
full names as well.

This seems like it isn't intended behavior, especially since the CFFI
documentation discourages the use of the *foreign-library-directories*
variable, and claims that the implementation (SBCL in this case) should
be taking care of this. I'm unsure if this is anything to do with Guix
not using a "traditional" FSH or not.

Does anyone have any thoughts on this? This is my first bug report
submitted here, so if I'm missing any needed information, please let me
know and I'll try my best to provide it.

Thanks,
-- Evan

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE6f/SZXb4DLdwy+VR9TDDtKKp8G0FAl4ZQysACgkQ9TDDtKKp
8G2QPhAAgRB83/UQlVUxtwS7crxnzMZOrY1EZgJBIKcjB3z6rizmk4AAJ7sllU2Q
3vhnj2H1CdBbdgJphPV5VjvUj0pB12z/GLKGGMhEujTD2PHI6SAuoxRIEOfE+PWF
ClGMEbhxSfo2UonPA+0tzTyZmgOZT5aB93hBjfD+aNdzfSdg8e6XhpTNLO+KKyRB
hNN5Worp3Aq9tmmDh1BYN8876U4zz6hYQaCgi/AGDVVVv+wT9RAhsqIwVdcOsM+t
iSHc4PybiLERbuYzL2Cf35qMNuJ4UJmu7jJNSX9tgJwZnJokBWpvClj4pLHE6dWa
JD0ix/Kgu8DkB3UnFTR12EgUW96LEIjR2Q9BoIs+Lx7VFV540UTgZkDzmsbVykQE
5qLnWxgIooDxif4vDTrJaiLsM7ZZPnYJdbgeZgEgAHC1mC1xEH5g3zFrWnZWPjzo
MYa9gFlaYG+3NZ7A4Vu5Rai/sObq461xkEl2/YTxMmwTcxrwdhWSGjGYIisF9adY
ENoRXtA+3D4o+qGR5HkdFFQSYMmmxd+1SaW2PYUDAbuIEx0mgBZhkc4YArs63bbO
3hoTi7bQs1L54eBxLtVCOVqXDjsnd1PIZjNlDneh9ni/Y8RVY3XHveSV4LYrZH6l
VWFAw6gQ3vSN6fFVbOzGrJ3rkqtKKtv1496NF7O9yV+avOQkwL4=
=mGez
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Evan Straw <evan.straw99@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#39079; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jan 2020 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.